org.codehaus.groovy.util

## Class ReferenceManager

- java.lang.Object
- - org.codehaus.groovy.util.ReferenceManager

    public class ReferenceManager
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ReferenceManager(java.lang.ref.ReferenceQueue queue)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`void` `afterReferenceCreation(Reference r)`
`static ReferenceManager` `createCallBackedManager(java.lang.ref.ReferenceQueue queue)`
`static ReferenceManager` `createIdlingManager(java.lang.ref.ReferenceQueue queue)`
`static ReferenceManager` `createThreadedManager(java.lang.ref.ReferenceQueue queue)`
`static ReferenceManager` `createThresholdedIdlingManager(java.lang.ref.ReferenceQueue queue, ReferenceManager callback, int threshold)`
`static ReferenceBundle` `getDefaultSoftBundle()` Deprecated. use `ReferenceBundle.getSoftBundle()`
`static ReferenceBundle` `getDefaultWeakBundle()` Deprecated. use `ReferenceBundle.getWeakBundle()`
`protected java.lang.ref.ReferenceQueue` `getReferenceQueue()`
`void` `removeStallEntries()`
`void` `stopThread()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReferenceManager

    public ReferenceManager(java.lang.ref.ReferenceQueue queue)

### Method Detail

#### createThreadedManager

    public static ReferenceManager createThreadedManager(java.lang.ref.ReferenceQueue queue)

#### createIdlingManager

    public static ReferenceManager createIdlingManager(java.lang.ref.ReferenceQueue queue)

#### createCallBackedManager

    public static ReferenceManager createCallBackedManager(java.lang.ref.ReferenceQueue queue)

#### createThresholdedIdlingManager

    public static ReferenceManager createThresholdedIdlingManager(java.lang.ref.ReferenceQueue queue,
                                                                  ReferenceManager callback,
                                                                  int threshold)

#### getReferenceQueue

    protected java.lang.ref.ReferenceQueue getReferenceQueue()

#### afterReferenceCreation

    public void afterReferenceCreation(Reference r)

#### removeStallEntries

    public void removeStallEntries()

#### stopThread

    public void stopThread()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getDefaultSoftBundle

    @Deprecated
    public static ReferenceBundle getDefaultSoftBundle()

Deprecated. use `ReferenceBundle.getSoftBundle()`

#### getDefaultWeakBundle

    @Deprecated
    public static ReferenceBundle getDefaultWeakBundle()

Deprecated. use `ReferenceBundle.getWeakBundle()`